This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 354601 - open animations applied to menus
open animations applied to menus
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: compiz-fusion (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2007-10-26 14:05 EDT by Thomas J. Baker
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-28 14:16:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thomas J. Baker 2007-10-26 14:05:13 EDT
Open animations are applied to firefox menus since the upgrade to 0.6.0.
Apparently fixed in latest git. The bug on their bugzilla is here:

http://bugs.opencompositing.org/show_bug.cgi?id=431
Comment 1 Adel Gadllah 2007-10-27 05:13:43 EDT
This patch is already part of the 0.6.0 release and therefor included in the
current package. 
Comment 2 Adel Gadllah 2007-10-27 05:14:54 EDT
Also what was the last version that worked for you? (full rpm version please)
Comment 3 Thomas J. Baker 2007-10-27 07:44:29 EDT
Whatever the previous 0.5.2 based one was, probably
compiz-fusion-0.5.2-10.09b700.fc8. Are you saying you're not having the problem?
I have it with both intel and nvidia hardware. 
Comment 4 Adel Gadllah 2007-10-27 17:08:41 EDT
This build should fix it:
http://koji.fedoraproject.org/koji/buildinfo?buildID=22594
Please test it and report back.
Comment 5 Thomas J. Baker 2007-10-27 19:29:29 EDT
With this version installed, compiz won't run at all for me. Does it for you?
I'm x86_64 with intel hardware. 

continuity>  compiz --replace --ignore-desktop-hints glib gconf
compiz (core) - Fatal: GLX_EXT_texture_from_pixmap is missing
compiz (core) - Error: Failed to manage screen: 0
compiz (core) - Fatal: No manageable screens found on display :0.0
continuity> 

If I revert to the previous version currently in the repos and restart the X
server, it works fine. It doesn't seem to make much sense bit that's what happens.
Comment 6 Adel Gadllah 2007-10-28 04:49:57 EDT
This is weird, does it also happen when you unload the workarounds plugin?
Comment 7 Adel Gadllah 2007-10-28 05:31:58 EDT
also try http://koji.fedoraproject.org/koji/taskinfo?taskID=217521 once finshed
building.
Comment 8 Adel Gadllah 2007-10-28 05:51:54 EDT
The above failed, please try this one:
http://koji.fedoraproject.org/koji/taskinfo?taskID=217545

Are you sure that the new build is causing this? This looks completely unrelated
to the plugins. Can you reproduce it?
Comment 9 Thomas J. Baker 2007-10-28 10:10:53 EDT
The compiz-fusion-0.6.0-5.fc8 build that completed this morning works correctly
and seems to fix the bug for me. 

This is the one I have installed:

http://koji.fedoraproject.org/koji/buildinfo?buildID=22642
Comment 10 Adel Gadllah 2007-10-28 14:16:54 EDT
Ok, thx for the report and the quick testing.
The package has been tagged for f8-final and should hit rawhide soon.

Note You need to log in before you can comment on or make changes to this bug.